function cImporte(){
	var tot_uwi=gv("TotUwi");
	var pre=gv("Pre");
	var tot_imp=jVal(tot_uwi) * jVal(pre);
	sv("Imp",tot_imp.toFixed(2));
}
//**************************************************************************
function fImporte(){	
	var pie=jVal(gv("Pie"));
	var caj=jVal(gv("Caj"));
	var tot_pie=pie * caj;
	//
	sv("TotPie",tot_pie);
	//
	var fx=GetFactor();
	if(fx>0){
		var tot_und=tot_pie/GetFactor();
	}else{
		var tot_und=0;
	}
	sv("TotUni",tot_und.toFixed(3));
	sv("TotUwi",tot_und.toFixed(3));
	cImporte();
}
//
function GetFactor(){
	var und=gv("Und");
	var faxtor=0;
	for(i=1;i<=UNI_TOT;i++){
		if(UNI_ABR[i]==und){
			faxtor=UNI_FAC[i];
		}
	}
	return faxtor;
}
//
function fAplicar(){	
	var pid=gv("TMP_KOD");
	var cod=gv("Cod");
	var des=gv("Des");
	var pie=gv("Pie");
	var caj=gv("Caj");
	var und=gv("Und");
	var tot_pie=gv("TotPie");
	var tot_uni=gv("TotUni");
	var tot_uwi=gv("TotUwi");
	var pre=gv("Pre");	
	var imp=gv("Imp");
	var hwn=gv("TXT_HWN");
	//
	if(jVal(pid)==0){
		return AF("No se puede determianr el id del registro seleccionado","Cod");
	}
	if(jL(cod)==0){
		return AF("No se puede determinar el codigo","Cod");
	}
	if(jL(des)==0){
		return AF("El campo descripcion esta vacio","Des");
	}
	if(jL(pre)==0){
		return AF("Ingrese el precio del producto","Pre");
	}
	if(jL(pie)==0){
		return AF("Ingrese la cantidad de piezas","Pie");
	}
	if(jL(caj)==0){
		return AF("Ingrese la cantidad de cajas","Pie");
	}
	if(jVal(imp)<=0){
		return AF("El importe debe ser mayor a cero","Imp");
	}
	//document.getElementById("CmdG").disabled=true;
	var d=AZ("INV_DET_EDI2",pid,pie,caj,und,tot_pie,tot_uni,tot_uwi,pre,imp,hwn,cod,des);
	var r=d.split("|");
	if(r[1]=="OK"){
		alert("Datos actualizados");
		window.opener.document.Frm.CmdUP.click();
		window.close();
	}else{
		if(r[1]=="MS"){
			alert(r[2]);
		}else{
			alert("Error de conexion");
		}
	}
}
//
function fIr(cx){
	var txt_url="URL_"+cx;
	var str_url=gv(txt_url);
	if(jL(str_url)==0){
		alert("El campo url esta vacio");
	}else{
		str_url=str_url.toLowerCase();
		if(isURL(str_url)){
			document.getElementById("LNK").href=str_url;
			document.getElementById("LNK").click();
		}else{
			alert("La url no es valida");
		}
	}
}